Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans
Class XmlBeansTypeCreator

    java.lang.Object
      org.codehaus.xfire.xmlbeans.XmlBeansTypeCreator

All Implemented Interfaces:
  TypeCreator

    public class XmlBeansTypeCreator

extends java.lang.Object
implements TypeCreator

Constructor Summary
`XmlBeansTypeCreator(TypeCreator nextCreator)`

Method Summary
`Type` | `createType(java.lang.Class clazz)`
`Type` | `createType(java.lang.reflect.Field f)`
`Type` | `createType(java.lang.reflect.Method m, int index)`
`Type` | `createType(java.beans.PropertyDescriptor pd)`
`protected Type` | `createXmlBeanType(java.lang.Class clazz)`
`TypeMapping` | `getTypeMapping()`
`void` | `setTypeMapping(TypeMapping typeMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlBeansTypeCreator

    public XmlBeansTypeCreator(TypeCreator nextCreator)

Method Detail

### getTypeMapping

    public TypeMapping getTypeMapping()

### createType

    public Type createType(java.lang.reflect.Method m,
                           int index)

  Specified by:
    `createType` in interface `TypeCreator`

### createXmlBeanType

    protected Type createXmlBeanType(java.lang.Class clazz)

### createType

    public Type createType(java.beans.PropertyDescriptor pd)

  Specified by:
    `createType` in interface `TypeCreator`

### createType

    public Type createType(java.lang.reflect.Field f)

  Specified by:
    `createType` in interface `TypeCreator`

### createType

    public Type createType(java.lang.Class clazz)

  Specified by:
    `createType` in interface `TypeCreator`

### setTypeMapping

    public void setTypeMapping(TypeMapping typeMapping)

  Specified by:
    `setTypeMapping` in interface `TypeCreator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.